<?php

define("MODULE_FILE", true);
include("function/function.php");
include("config/config_rss.php");
get_lang();
Header("Content-Type: application/rss+xml");
Header("Content-Encoding: none");

$interval=900;
//https://stroystandart.info/rssyandex-files-0.php
$url = $_SERVER['REQUEST_URI'];
$url=explode("-",$url);
$name=$url[1];
$start=explode(".",$url[2]); 
$start=intval($start[0]);


if ($name == "files") {
	$where = ($cat) ? "WHERE s.cid='$cat' AND s.date<=now() AND s.status!='0'" : "WHERE s.date<=now() AND s.status!='0' ";
	$result = $db->sql_query("SELECT s.lid, s.name, s.title, s.date, s.bodytext, c.title, u.user_name FROM ".$prefix."_files AS s LEFT JOIN ".$prefix."_categories AS c ON (s.cid=c.id) LEFT JOIN ".$prefix."_users AS u ON (s.uid=u.user_id) ".$where." ORDER BY s.date DESC LIMIT ".$start.", ".$interval);
} elseif ($name == "media") {
	$where = ($cat) ? "WHERE s.cid='$cat' AND s.date<=now() AND s.status!='0'" : "WHERE s.date<=now() AND s.status!='0'";
	$result = $db->sql_query("SELECT s.id, s.name, s.title, s.date, s.note, c.title, u.user_name FROM ".$prefix."_media AS s LEFT JOIN ".$prefix."_categories AS c ON (s.cid=c.id) LEFT JOIN ".$prefix."_users AS u ON (s.uid=u.user_id) ".$where." ORDER BY s.date DESC LIMIT ".$start.", ".$interval);
} elseif ($name == "pages") {
	$where = ($cat) ? "WHERE s.catid='$cat' AND s.time<=now() AND s.status!='0'" : "WHERE s.time<=now() AND s.status!='0'";
	$result = $db->sql_query("SELECT s.pid, s.name, s.title, s.time, s.bodytext, c.title, u.user_name FROM ".$prefix."_page AS s LEFT JOIN ".$prefix."_categories AS c ON (s.catid=c.id) LEFT JOIN ".$prefix."_users AS u ON (s.uid=u.user_id) ".$where." ORDER BY s.time DESC LIMIT ".$start.", ".$interval);
} elseif ($name == "news") {
	$where = ($cat) ? "WHERE s.catid='$cat' AND s.time<=now() AND s.status!='0'" : "WHERE s.time<=now() AND s.status!='0'";
	$result = $db->sql_query("SELECT s.sid, s.name, s.title, s.time, s.bodytext, c.title, u.user_name FROM ".$prefix."_stories AS s LEFT JOIN ".$prefix."_categories AS c ON (s.catid=c.id) LEFT JOIN ".$prefix."_users AS u ON (s.uid=u.user_id) ".$where." ORDER BY s.time DESC LIMIT ".$start.", ".$interval);
} else{
    exit();
}


$content = "<?xml version=\"1.0\" encoding=\""._CHARSET."\"?>
<rss xmlns:yandex=\"http://news.yandex.ru\"
    xmlns:media=\"http://search.yahoo.com/mrss/\"
    xmlns:turbo=\"http://turbo.yandex.ru\"
    version=\"2.0\">
        <channel>
            <title>".htmlspecialchars($conf['sitename'])."</title>
            <link>".$conf['homeurl']."</link>
            <description>".htmlspecialchars($conf['slogan'])."</description>
            <language>".htmlspecialchars(substr(_LOCALE, 0, 2))."</language>
            <lastBuildDate>".date("D, j M Y H:m:s O")."</lastBuildDate>";	   
	if ($name && $name != "content" && $name != "shop" && $result) {
		while (list($rid, $uname, $rtitle, $rtime, $rhometext, $rctitle, $user_name) = $db->sql_fetchrow($result)) {
			$rauthor = ($user_name) ? $user_name : (($uname) ? $uname : $confu['anonym']);
			if($cat){
                $rctitle="
                        <breadcrumb url=\"".$conf['homeurl']."/index.php?name=".$name."&amp;cat=".$cat."\" text=\"".htmlspecialchars($rctitle)."\"/>";
			}else{
                $rctitle=""; 
			}
            $text=bb_decode($rhometext, $name, 1);
            $content .="
            <item turbo=\"true\">
                <turbo:extendedHtml>true</turbo:extendedHtml>
                <link>".$conf['homeurl']."/index.php?name=".$name."&amp;op=view&amp;id=".$rid."</link>
                <turbo:source></turbo:source>
                <turbo:topic></turbo:topic>
                <pubDate>".htmlspecialchars(date("D, j M Y H:m:s O", strtotime($rtime)))."</pubDate>"            
                ."<title>".htmlspecialchars($rtitle)."</title>
                <author>".htmlspecialchars($rauthor)."</author>
                <metrics>
                    <yandex schema_identifier=\"54169624\">
                        <breadcrumblist>
                            <breadcrumb url=\"".$conf['homeurl']."\" text=\"Стартовая\"/>
                            <breadcrumb url=\"".$conf['homeurl']."/index.php?name=".$name."\" text=\"".$name."\"/>".$rctitle."
                            <breadcrumb url=\"".$conf['homeurl']."/index.php?name=".$name."&amp;op=view&amp;id=".$rid."\" text=\"".htmlspecialchars($rtitle)."\"/>
                        </breadcrumblist>
                    </yandex>
                </metrics>
                <yandex:related></yandex:related>
                <turbo:content>
                    <![CDATA[".$text."]]>                         		
                    <guid>".$conf['homeurl']."/index.php?name=".$name."&amp;op=view&amp;id=".$rid."</guid>
                </turbo:content>
                <comments>".$conf['homeurl']."/index.php?name=".$name."&amp;op=view&amp;id=".$rid."#".$rid."</comments>
            </item>";
		}
	} 
    $content .= "</channel>\n</rss>";
echo $content;
?>